> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Beast Mode by Id

> Gets a specified Beast Mode calculation.



## OpenAPI

````yaml /openapi/product/beastmodes.yaml get /api/query/v1/functions/template/{beastmodeId}
openapi: 3.0.0
info:
  title: Beast Modes API
  description: Beast Modes are run time calculations on Cards or Datasets.
  version: 1.0.0
servers:
  - url: https://{instance}.domo.com
    variables:
      instance:
        default: your-instance
        description: Your Domo instance name
security:
  - DeveloperToken: []
paths:
  /api/query/v1/functions/template/{beastmodeId}:
    get:
      tags:
        - Beast Modes
      summary: Get Beast Mode by Id
      description: Gets a specified Beast Mode calculation.
      operationId: get-beast-mode-by-id
      parameters:
        - name: beastmodeId
          in: path
          required: true
          description: ID of the BeastMode
          schema:
            type: integer
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                  name:
                    type: string
                  owner:
                    type: integer
                  locked:
                    type: boolean
                  global:
                    type: boolean
                  expression:
                    type: string
                  checkSum:
                    type: string
                  links:
                    type: array
                    items:
                      type: object
                  legacyId:
                    type: string
                  lastModified:
                    type: integer
                  created:
                    type: integer
                  aggregated:
                    type: boolean
                  analytic:
                    type: boolean
                  nonAggregatedColumns:
                    type: array
                    items:
                      type: string
                  dataType:
                    type: string
                  status:
                    type: string
                  cacheWindow:
                    type: string
                  columnPositions:
                    type: array
                    items:
                      type: object
                  functions:
                    type: array
                    items:
                      type: string
                  functionTemplateDependencies:
                    type: array
                    items:
                      type: string
                  archived:
                    type: boolean
                  hidden:
                    type: boolean
                  variable:
                    type: boolean
              example:
                id: 232
                name: '% Change - Orders'
                owner: 27
                locked: false
                global: false
                expression: >-
                  (CASE  WHEN (sum((CASE  WHEN
                  ((DateDiff(AddDate(Current_Date(),-1),`Date`) < (28 + (52 *
                  7))) AND (DateDiff(Current_Date(),`Date`) > (52 * 7))) THEN
                  `Orders` END )) = 0) THEN 0 ELSE ((sum((CASE  WHEN
                  ((DateDiff(AddDate(Current_Date(),-1),`Date`) < 28) AND
                  (DateDiff(Current_Date(),`Date`) > 0)) THEN `Orders` END )) -
                  sum((CASE  WHEN ((DateDiff(AddDate(Current_Date(),-1),`Date`)
                  < (28 + (52 * 7))) AND (DateDiff(Current_Date(),`Date`) > (52
                  * 7))) THEN `Orders` END ))) / sum((CASE  WHEN
                  ((DateDiff(AddDate(Current_Date(),-1),`Date`) < (28 + (52 *
                  7))) AND (DateDiff(Current_Date(),`Date`) > (52 * 7))) THEN
                  `Orders` END ))) END )
                checkSum: 4041d1731163b41ae86552ebb46f8a2f1d5aecd5
                links:
                  - resource:
                      type: DATA_SOURCE
                      id: 32e6af61-c725-487a-8a4a-a46fbfed9fb1
                    visible: true
                    active: false
                    valid: VALID
                legacyId: calculation_6ca6ab70-412a-4394-82d7-d6f648758907
                lastModified: 1654190830737
                created: 1654190830737
                aggregated: true
                analytic: false
                nonAggregatedColumns: []
                dataType: DECIMAL
                status: VALID
                cacheWindow: day
                columnPositions:
                  - columnName: '`Date`'
                    columnPosition: 67
                  - columnName: '`Date`'
                    columnPosition: 123
                  - columnName: '`Orders`'
                    columnPosition: 149
                functions:
                  - DOMO_OP_MULTIPLY
                  - ADDDATE
                  - DOMO_OP_ADD
                  - SUM
                  - DOMO_OP_SUBTRACT
                  - DATEDIFF
                  - DOMO_OP_DIVIDE
                functionTemplateDependencies: []
                archived: false
                hidden: false
                variable: false
      x-codeSamples:
        - lang: HTTP
          source: >
            GET
            https://{instance}.domo.com/api/query/v1/functions/template/{beastmodeId}

            X-DOMO-Developer-Token: YOUR_TOKEN

            Content-Type: application/json
components:
  securitySchemes:
    DeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token
      description: Domo Developer Token for authentication

````